Amazon Announces Emergency Update For All Of THESE Kindle Devices



If you can’t live without your Kindle, this is BIG news.

Amazon has announced that an emergency update needs to be done for their Kindle devices. They describe that there is a software situation that renders the devices useless. In order to protect your Kindle, you NEED to update your Kindle today, before March 22!

These are the models that need the emergency update:

Kindle 1st Generation (2007)
Kindle 2nd Generation (2009)
Kindle DX 2nd Generation (2009)
Kindle Keyboard 3rd Generation (2010)
Kindle 4th Generation (2011)
Kindle 5th Generation (2012)
Kindle Touch 4th Generation (2011)
Kindle Paperwhite 5th Generation (2012)

SEE ALSO: “Billy Graham’s TED Talk About Technology In Today’s World Is Complete Truth!”
Amazon has not yet revealed why this emergency update needs to happen, but it is rumored that it has something to do with security issues. If the update does not take place, you will be unable to connect to Wi-Fi or any other internet service.

To do the update:

1. Connect to an internet connection.

2. Select ‘Menu’ from the home screen.

3. Select ‘Sync and Check for Items’. This will begin the update automatically.

Article: Cosmopolitan